import request from '@/utils/request'

// 查询微信消息模板日志列表
export function listLog(query) {
  return request({
    url: '/wechat/log/list',
    method: 'get',
    params: query
  })
}

// 查询微信消息模板日志详细
export function getLog(uid) {
  return request({
    url: '/wechat/log/' + uid,
    method: 'get'
  })
}

// 新增微信消息模板日志
export function addLog(data) {
  return request({
    url: '/wechat/log',
    method: 'post',
    data: data
  })
}

// 修改微信消息模板日志
export function updateLog(data) {
  return request({
    url: '/wechat/log',
    method: 'put',
    data: data
  })
}

// 删除微信消息模板日志
export function delLog(uid) {
  return request({
    url: '/wechat/log/' + uid,
    method: 'delete'
  })
}
